uuid: ee4d3de1-0e57-4c83-b949-97b8b8095c04
langcode: en
status: true
dependencies:
  config:
    - field.storage.commerce_product.variations
    - field.storage.commerce_product_variation.field_huprod_abstract
    - field.storage.commerce_product_variation.field_huprod_bestselling
    - field.storage.commerce_product_variation.field_huprod_description
    - field.storage.commerce_product_variation.field_huprod_promotion
    - field.storage.commerce_product_variation.field_huprod_tax_category
    - field.storage.commerce_product_variation.field_huprod_tax_procedure
    - field.storage.commerce_product_variation.field_huprod_tax_related
    - search_api.server.db_search
  module:
    - commerce_product
    - search_api
id: db_search_products
name: 'DB search products'
description: ''
read_only: false
field_settings:
  currency_code:
    label: 'Variations » Product variation » Price » Currency code'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:price:currency_code'
    type: string
    dependencies:
      config:
        - field.storage.commerce_product.variations
      module:
        - commerce_product
        - commerce_product
  field_huprod_abstract:
    label: 'Variations » Product variation » Abstract'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:field_huprod_abstract'
    type: text
    dependencies:
      config:
        - field.storage.commerce_product.variations
        - field.storage.commerce_product_variation.field_huprod_abstract
      module:
        - commerce_product
  field_huprod_bestselling:
    label: 'Variations » Product variation » Best selling'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:field_huprod_bestselling'
    type: boolean
    dependencies:
      config:
        - field.storage.commerce_product.variations
        - field.storage.commerce_product_variation.field_huprod_bestselling
      module:
        - commerce_product
  field_huprod_description:
    label: 'Variations » Product variation » Description'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:field_huprod_description'
    type: text
    dependencies:
      config:
        - field.storage.commerce_product.variations
        - field.storage.commerce_product_variation.field_huprod_description
      module:
        - commerce_product
  field_huprod_promotion:
    label: 'Variations » Product variation » In promotion'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:field_huprod_promotion'
    type: boolean
    dependencies:
      config:
        - field.storage.commerce_product.variations
        - field.storage.commerce_product_variation.field_huprod_promotion
      module:
        - commerce_product
  field_huprod_tax_category:
    label: 'Variations » Product variation » Product category'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:field_huprod_tax_category'
    type: integer
    dependencies:
      config:
        - field.storage.commerce_product.variations
        - field.storage.commerce_product_variation.field_huprod_tax_category
      module:
        - commerce_product
  field_huprod_tax_procedure:
    label: 'Variations » Product variation » Product procedure'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:field_huprod_tax_procedure'
    type: integer
    dependencies:
      config:
        - field.storage.commerce_product.variations
        - field.storage.commerce_product_variation.field_huprod_tax_procedure
      module:
        - commerce_product
  field_huprod_tax_related:
    label: 'Variations » Product variation » Product related'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:field_huprod_tax_related'
    type: integer
    dependencies:
      config:
        - field.storage.commerce_product.variations
        - field.storage.commerce_product_variation.field_huprod_tax_related
      module:
        - commerce_product
  number:
    label: 'Variations » Product variation » Price » Number'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:price:number'
    type: string
    dependencies:
      config:
        - field.storage.commerce_product.variations
      module:
        - commerce_product
        - commerce_product
  sku:
    label: 'Variations » Product variation » SKU'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:sku'
    type: string
    dependencies:
      config:
        - field.storage.commerce_product.variations
      module:
        - commerce_product
        - commerce_product
  title:
    label: 'Variations » Product variation » Title'
    datasource_id: 'entity:commerce_product'
    property_path: 'variations:entity:title'
    type: string
    dependencies:
      config:
        - field.storage.commerce_product.variations
      module:
        - commerce_product
        - commerce_product
  title_1:
    label: Title
    datasource_id: 'entity:commerce_product'
    property_path: title
    type: string
    dependencies:
      module:
        - commerce_product
datasource_settings:
  'entity:commerce_product':
    bundles:
      default: false
      selected:
        - hufriedy_product
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  entity_status: {  }
  html_filter:
    all_fields: false
    fields:
      - field_huprod_abstract
      - field_huprod_description
    title: true
    alt: true
    tags:
      b: 2
      em: 1
      h1: 5
      h2: 3
      h3: 2
      strong: 2
      u: 1
    weights:
      preprocess_index: -15
      preprocess_query: -15
  ignorecase:
    all_fields: false
    fields:
      - field_huprod_abstract
      - field_huprod_description
      - sku
      - title
    weights:
      preprocess_index: -20
      preprocess_query: -20
  rendered_item: {  }
tracker_settings:
  default:
    indexing_order: fifo
options:
  index_directly: true
  cron_limit: 50
server: db_search
